Package org.apache.synapse.transport.passthru.jmx

## Class LatencyCollector

- java.lang.Object
- - org.apache.synapse.transport.passthru.jmx.LatencyCollector

-     public class LatencyCollector
      extends Object

  Class responsible for collect Latency values per request

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LatencyCollector​(org.apache.http.protocol.HttpContext context, boolean isS2S)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `clearTimestamps​(org.apache.http.protocol.HttpContext context)` | Clear all timestamps saved.
    `long` | `getBackendLatency()` |
    `long` | `getClientDecodeLatency()` |
    `long` | `getClientEncodeLatency()` |
    `long` | `getClientWorkerLatency()` |
    `long` | `getClientWorkerQueuedTime()` |
    `long` | `getLatency()` |
    `long` | `getServerDecodeLatency()` |
    `long` | `getServerEncodeLatency()` |
    `long` | `getServerWorkerLatency()` |
    `long` | `getServerWorkerQueuedTime()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LatencyCollector

          public LatencyCollector​(org.apache.http.protocol.HttpContext context,
                                  boolean isS2S)

  - ### Method Detail

    - #### getBackendLatency

          public long getBackendLatency()

    - #### getLatency

          public long getLatency()

    - #### getServerDecodeLatency

          public long getServerDecodeLatency()

    - #### getServerEncodeLatency

          public long getServerEncodeLatency()

    - #### getClientEncodeLatency

          public long getClientEncodeLatency()

    - #### getClientDecodeLatency

          public long getClientDecodeLatency()

    - #### getServerWorkerQueuedTime

          public long getServerWorkerQueuedTime()

    - #### getClientWorkerQueuedTime

          public long getClientWorkerQueuedTime()

    - #### getServerWorkerLatency

          public long getServerWorkerLatency()

    - #### getClientWorkerLatency

          public long getClientWorkerLatency()

    - #### clearTimestamps

          public static void clearTimestamps​(org.apache.http.protocol.HttpContext context)

      Clear all timestamps saved.
      Parameters:
        `context` - HttpContext